summaryrefslogtreecommitdiffstats
path: root/system/mlterm/mlterm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/mlterm/mlterm.SlackBuild')
-rw-r--r--system/mlterm/mlterm.SlackBuild29
1 files changed, 19 insertions, 10 deletions
diff --git a/system/mlterm/mlterm.SlackBuild b/system/mlterm/mlterm.SlackBuild
index a8f5f9c2c8..dc08a338f2 100644
--- a/system/mlterm/mlterm.SlackBuild
+++ b/system/mlterm/mlterm.SlackBuild
@@ -6,9 +6,11 @@
PRGNAM=mlterm
VERSION=${VERSION:-2.9.4}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+FONT_ENGINE=${FONT_ENGINE:-xcore}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -22,12 +24,14 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -41,22 +45,27 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --disable-static \
--enable-optimize-redrawing \
--with-imagelib=gdk-pixbuf2 \
- --with-type-engine=xft \
+ --with-type-engines=${FONT_ENGINE} \
--with-libltdl \
- || exit 1
+ --enable-fribidi \
+ --enable-m17nlib \
+ --disable-static \
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-gzip -9 $PKG/usr/man/man?/*
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a ABOUT-NLS ChangeLog LICENCE README doc/* $PKG/usr/doc/$PRGNAM-$VERSION